Community discussions

MUM Europe 2020
 
ckgth
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 64
Joined: Wed Jun 06, 2007 5:03 pm

in dude update cpe 5.25 > 6.11 "some packages unavailable"

Thu Mar 27, 2014 10:10 am

Hi,

routerboard-pack is integrated in system-pack. ok. but now dude is not update many cpe's. he shows "some packages unavailable"
how can i fix this?
is the an fake "routerboard" -package for ros 6.11 ?

regards
Christian
 
User avatar
rextended
Forum Guru
Forum Guru
Posts: 2950
Joined: Tue Feb 25, 2014 12:49 pm
Location: Capalbio, Tuscany, Italy

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Mar 28, 2014 1:18 am

Have you all mipsbe machines? (CRS series, RB4xx series, RB7xx series, RB9xx series, RB2011 series, SXT, OmniTik, Groove, METAL, SEXTANT)
Or have you also powerpc [ppc] (RB3xx series, RB600 series, RB800 series, RB1xxx series) and mipsle (RB1xx series, RB5xx series, RB Crossroads) machines?

You must have on dude directory for upgrade all the type of routerboard those files:
http://download2.mikrotik.com/routeros/ ... e-6.11.npk
http://download2.mikrotik.com/routeros/ ... e-6.11.npk
http://download2.mikrotik.com/routeros/ ... c-6.11.npk
http://download2.mikrotik.com/routeros/ ... 6-6.11.npk
http://download2.mikrotik.com/routeros/ ... e-6.11.npk

And remember, if on some Routerboard are installed [used or not] user-manager or ntp packages, for example, also this single packages must be present [for each used hardware type]

And also:
If the software are installed on routerboard with single packages, without using routeros-xxx-5.25.npk package,
you need to put all packages for all hardware on your dude directory, for cover all the possibility.

A HINT FOR ALL: NEVER USE A BUNCH OF SINGLE PACKAGES FOR INSTALL SYSTEM,
USE routeros-xxx-x.xx.npk PACKAGE AND ADD OTHER MISSING IF NEEDED (like user-manager and NTP)

If you not want use hotspot or ipv6 or wireless, etc. , simply disable that.
I'm Italian, not English. Sorry for my imperfect grammar.
 
taduikis
Member
Member
Posts: 423
Joined: Sat Jul 07, 2007 12:09 pm

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Jun 06, 2014 1:12 pm

ckgth, have all the required packages in your Dude and do a force upgrade. It works. The only annoying thing to me is that after upgrade I have to manually login and disable the neighbor discovery for wlan1 (I originally keep it disabled), because of syntax difference between v5 and v6 in /ip neighbor discovery: disable vs discover..
 
User avatar
rextended
Forum Guru
Forum Guru
Posts: 2950
Joined: Tue Feb 25, 2014 12:49 pm
Location: Capalbio, Tuscany, Italy

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Jun 06, 2014 3:23 pm

Do not bring back old topic without reason....
I'm Italian, not English. Sorry for my imperfect grammar.
 
taduikis
Member
Member
Posts: 423
Joined: Sat Jul 07, 2007 12:09 pm

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Jun 06, 2014 6:18 pm

The reason is you didn't provide a working solution for the problem this topic adressed.

And your definition of old is strange at best..
 
User avatar
rextended
Forum Guru
Forum Guru
Posts: 2950
Joined: Tue Feb 25, 2014 12:49 pm
Location: Capalbio, Tuscany, Italy

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Jun 06, 2014 7:51 pm

The reason is you didn't provide a working solution for the problem this topic adressed.

And your definition of old is strange at best..
Also your definition of "not provide a working solution" is strange...
[...]
If the software are installed on routerboard with single packages, without using routeros-xxx-5.25.npk package,
you need to put all packages for all hardware on your dude directory, for cover all the possibility.
[...]
You can read? This is written on my previous post.

The user ckgth, the author of this topic, never write "this not have worked", but is disappeared, like anyone who resolve the problem and forget to say thanks (or to say "not work")...
I'm Italian, not English. Sorry for my imperfect grammar.
 
taduikis
Member
Member
Posts: 423
Joined: Sat Jul 07, 2007 12:09 pm

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Jun 06, 2014 8:20 pm

Well, you're missing the key point, that you have to use "Force upgrade" there. You can have whatever packages you want in your Dude, it will not upgrade throwing an error "some packages missing". What you described is a basic and fundamental thing that applies to upgrading ROS with The Dude in general (no matter what version) and is covered in wiki. Reading your suggestion didn't help me much, so I thought others would also like a hint.

So, the summary to address the problem: have the right pacakages (separate or combined, it depends as you described) and use Force upgrade. This way you easily upgrade from v5 to v6 using The Dude.

Peace!
 
User avatar
rextended
Forum Guru
Forum Guru
Posts: 2950
Joined: Tue Feb 25, 2014 12:49 pm
Location: Capalbio, Tuscany, Italy

Re: in dude update cpe 5.25 > 6.11 "some packages unavailabl

Fri Jun 06, 2014 8:23 pm

:-P
I'm Italian, not English. Sorry for my imperfect grammar.

Who is online

Users browsing this forum: No registered users and 3 guests